org.apache.lucene.analysis.position

## Class PositionFilter

- java.lang.Object
- - org.apache.lucene.util.AttributeSource
  - - org.apache.lucene.analysis.TokenStream
    - - org.apache.lucene.analysis.TokenFilter
      - - org.apache.lucene.analysis.position.PositionFilter

All Implemented Interfaces:
  Closeable, AutoCloseable

    public final class PositionFilter
    extends TokenFilter

Set the positionIncrement of all tokens to the "positionIncrement", except the first return token which retains its original positionIncrement value. The default positionIncrement value is zero.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.apache.lucene.util.AttributeSource

`AttributeSource.AttributeFactory, AttributeSource.State`

### Field Summary

### Fields inherited from class org.apache.lucene.analysis.TokenFilter

`input`

### Constructor Summary

Constructors
Constructor and Description
`PositionFilter(TokenStream input)` Constructs a PositionFilter that assigns a position increment of zero to all but the first token from the given input stream.
`PositionFilter(TokenStream input, int positionIncrement)` Constructs a PositionFilter that assigns the given position increment to all but the first token from the given input stream.

### Method Summary

Methods
`boolean` `incrementToken()`
`void` `reset()`

### Methods inherited from class org.apache.lucene.analysis.TokenFilter

`close, end`

### Methods inherited from class org.apache.lucene.util.AttributeSource

`addAttribute, addAttributeImpl, captureState, clearAttributes, cloneAttributes, copyTo, equals, getAttribute, getAttributeClassesIterator, getAttributeFactory, getAttributeImplsIterator, hasAttribute, hasAttributes, hashCode, reflectAsString, reflectWith, restoreState`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PositionFilter

    public PositionFilter(TokenStream input)

Constructs a PositionFilter that assigns a position increment of zero to all but the first token from the given input stream.

Parameters:
  `input` - the input stream

#### PositionFilter

    public PositionFilter(TokenStream input,
                  int positionIncrement)

Constructs a PositionFilter that assigns the given position increment to all but the first token from the given input stream.

Parameters:
  `input` - the input stream
  `positionIncrement` - position increment to assign to all but the first token from the input stream

### Method Detail

#### incrementToken

    public final boolean incrementToken()
                                 throws IOException

Specified by:
  `incrementToken` in class `TokenStream`
Throws:
  `IOException`

#### reset

    public void reset()
               throws IOException

Overrides:
  `reset` in class `TokenFilter`
Throws:
  `IOException`